Skip to main content
DELETE
/
marketplace
/
providers
/
compute
Delete a custom provider instance
curl --request DELETE \
  --url https://pricing.baselinehq.cloud/marketplace/providers/compute \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://pricing.baselinehq.cloud/marketplace/providers/compute"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://pricing.baselinehq.cloud/marketplace/providers/compute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "entries": [
    {
      "architecture": "<string>",
      "availability_zone": "<string>",
      "cost_per_hour": 123,
      "cpu_cores": 123,
      "cpu_cores_cost_per_hour": 123,
      "created_at": "<string>",
      "id": "<string>",
      "instance_type": "<string>",
      "operating_system": "<string>",
      "period_billing_hours": 123,
      "provider": "<string>",
      "ram_gb": 123,
      "ram_gb_cost_per_hour": 123,
      "raw_pricing_data": {},
      "region": "<string>",
      "service": "<string>",
      "tags": {},
      "updated_at": "<string>",
      "usage_type": "<string>"
    }
  ]
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key with "bl_" prefix (e.g. "bl_<api_key>")

Query Parameters

id
string
required

Instance ID

Response

Pricing response for a custom provider

entries
object[]
status
enum<string>
Available options:
Registered,
Deleted